# SonarAnalyze

API Documentation: | `SonarAnalyze`

Note: This class is deprecated and will be removed in the next major version of Gradle.

Analyzes a project hierarchy and writes the results to the Sonar database.

### Properties

Property | Description
`rootModel` | Entry point to Sonar configuration.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `SonarRootModel` `rootModel`

Entry point to Sonar configuration.